WordPress 将在 6.5 把 MySQL 最低版本要求提升到 5.5.5

自从 2011 年的 WordPress 发布 3.2 版本,将最低 MySQL 版本从 4.1.2 提升到到 5.0,之后虽然推荐的 MySQL (或 MariaDB)的版本一直在提升,但是最低版的要求就一直维持在 5.0 没有变化过。 MySQL 5.0 是 …

在 WordPress 中如何全面管理链接,链接跳转、内部链接和外部链接一个都不错过

今天出个专题文章把我做的 WordPress 链接相关的功能和插件都简单介绍一下,随便也吹吹牛,给「WordPress果酱」知识星球拉点用户。 今天就这么朴实无华的开始 WordPress 全面链接管理的文章: 链接跳转 第 …

你可能不知道,PHP 7.4 已经「死掉」整一年了

今天是2023年11月28日,前天也就是2023年11月26日,这一天是 PHP 8.0 的生命周期结束日期。 而在一年前的今天,2022年11月28日是 PHP 7.4 生命周期的结束的日期,所以可以说你可能不知掉,PHP 7.4 可以说已 …

WordPress 6.4 是如何改进对象缓存,提高站点的效率

WordPress 6.4 还增强改进了对象缓存的能力,这些功能改善了过滤器的处理,减少了数据库查询,并提高了整体系统效率。 get_option() 缓存改进 get_option() 函数为了优化考虑,如果查询到某个选项不存在, …

PHP 8.3 正式版发布,一文快速预览新功能

PHP 8.3 在 11 月 23 号就发布了,它包含了许多新功能,对于 WordPress 用户来说,了解 PHP 新版的功能也是一个简单必要的工作,并且  8.3 版是 PHP 在 2023 年的年度的一个主要的版本更新,所以我们就简单 …

为什么 WordPress 至少使用 PHP 7.4

先说一下 WordPress 最近这几个版本对 PHP 版本要求的改进,首先WordPress 在 6.3 版本彻底放弃对 PHP 5 的支持,然后WordPress 6.4 推荐使用 PHP 8.1 或 8.2,#WPJAM Basic# 升级到 6.4 之后,也最低要求 …

WordPress 6.4 新增一组选项相关的函数

WordPress 6.4 引入一组与选项(option)相关的函数,主要是为了解决自动加载的选项相关的性能和其他一些问题。 自动加载选项的问题 首先 WordPress 的选项默认是自动加载的,这是基于 add_option() 和 upd …

WPJAM Modal:一个实现了海报 / 打赏 / 分享 / 搜索的全能弹窗 WordPress 插件

我之前做的 WordPress 插件,更多涉及的是管理功能,比如用户管理,分类管理这些插件等等,这些主要这些功能比较纯粹,然后 #WPJAM Basic# 已经实现了 WordPress 后台的各种底层类库和交互组件,只要功能需 …

WordPress 6.4 发布,新的默认主题,新的内容创作体验

WordPress 今天发布了 6.4 版,新版本引入了一个新的多功能的默认主题,升级了一系列功能以增强用户的内容创作体验,通过进一步优化的写作工具使得内容创作更流畅,更多创新的方式和增强的工具使得网站编辑 …

WordPress 6.4 推荐使用 PHP 8.1 或 8.2

WordPress 将在 11 月 7 号发布 6.4 版本,这个版本的 PHP 推荐使用的版本为 PHP 8.1 或 8.2。 因为之前 WordPress 在发布 6.3 的时候,官方监控的安装量中 PHP 5.6 的使用量已下降至 3.9%,所以WordPress …

加载更多